from django.conf.urls.defaults import *
from siptrackweb import views

urlpatterns = patterns('siptrackweb.views',
    (r'^$', 'root.index'),

    (r'^display/(?P<oid>[^/]+)/$', 'display.display'),

    (r'^view/$', 'view.index'),
    (r'^view/add/$', 'view.add'),
    (r'^view/add/post/$', 'view.add_post'),
    (r'^view/delete/(?P<oid>[^/]+)/$', 'view.delete'),
    (r'^view/delete/post/(?P<oid>[^/]+)/$', 'view.delete_post'),
    (r'^view/update/(?P<oid>[^/]+)/$', 'view.update'),
    (r'^view/update/post/(?P<oid>[^/]+)/$', 'view.update_post'),
    (r'^view/display/(?P<oid>[^/]+)/$', 'view.display'),

    (r'^attribute/add/select/(?P<target_oid>[^/]+)/$', 'attribute.add_select'),
    (r'^attribute/add/set/(?P<target_oid>[^/]+)/$', 'attribute.add_set'),
    (r'^attribute/add/post/(?P<target_oid>[^/]+)/$', 'attribute.add_post'),
    (r'^attribute/update/(?P<oid>[^/]+)/$', 'attribute.update'),
    (r'^attribute/update/post/(?P<oid>[^/]+)/$', 'attribute.update_post'),
    (r'^attribute/delete/(?P<oid>[^/]+)/$', 'attribute.delete'),
    (r'^attribute/display/(?P<oid>[^/]+)/$', 'attribute.display'),

    (r'^template/apply/select/(?P<target_oid>[^/]+)/(?P<template_type>[^/]+)/$', 'template.apply_select'),
    (r'^template/apply/set/(?P<target_oid>[^/]+)/(?P<template_type>[^/]+)/$', 'template.apply_set'),
    (r'^template/apply/post/(?P<target_oid>[^/]+)/(?P<template_oid>[^/]+)/$', 'template.apply_post'),

    (r'^template/(?P<template_type>[^/]+)/add/(?P<parent_oid>[^/]+)/$', 'template.add'),
    (r'^template/(?P<template_type>[^/]+)/add/post/(?P<parent_oid>[^/]+)/$', 'template.add_post'),
    (r'^template/update/(?P<oid>[^/]+)/$', 'template.update'),
    (r'^template/update/post/(?P<oid>[^/]+)/$', 'template.update_post'),
    (r'^template/delete/(?P<oid>[^/]+)/$', 'template.delete'),
    (r'^template/delete/post/(?P<oid>[^/]+)/$', 'template.delete_post'),
    (r'^template/rule/(?P<rule_type>[^/]+)/add/(?P<parent_oid>[^/]+)/$', 'template.rule_add'),
    (r'^template/rule/(?P<rule_type>[^/]+)/add/post/(?P<parent_oid>[^/]+)/$', 'template.rule_add_post'),
    (r'^template/rule/delete/(?P<oid>[^/]+)/$', 'template.rule_delete'),
    (r'^template/rule/delete/post/(?P<oid>[^/]+)/$', 'template.rule_delete_post'),
    (r'^template/display/(?P<oid>[^/]+)/$', 'template.display'),

    (r'^counter/(?P<parent_oid>[^/]+)/$', 'counter.index'),
    (r'^counter/basic/add/(?P<parent_oid>[^/]+)/$', 'counter.add_basic'),
    (r'^counter/basic/add/post/(?P<parent_oid>[^/]+)/$', 'counter.add_basic_post'),
    (r'^counter/looping/add/(?P<parent_oid>[^/]+)/$', 'counter.add_looping'),
    (r'^counter/looping/add/post/(?P<parent_oid>[^/]+)/$', 'counter.add_looping_post'),
    (r'^counter/update/(?P<oid>[^/]+)/$', 'counter.update'),
    (r'^counter/update/post/(?P<oid>[^/]+)/$', 'counter.update_post'),
    (r'^counter/delete/(?P<oid>[^/]+)/$', 'counter.delete'),
    (r'^counter/delete/post/(?P<oid>[^/]+)/$', 'counter.delete_post'),
    (r'^counter/display/(?P<oid>[^/]+)/$', 'counter.display'),

    (r'^networktree/(?P<parent_oid>[^/]+)/$', 'network.tree.index'),
    (r'^networktree/add/(?P<parent_oid>[^/]+)/$', 'network.tree.add'),
    (r'^networktree/add/post/(?P<parent_oid>[^/]+)/$', 'network.tree.add_post'),
    (r'^networktree/delete/(?P<oid>[^/]+)/$', 'network.tree.delete'),
    (r'^networktree/delete/post/(?P<oid>[^/]+)/$', 'network.tree.delete_post'),

    (r'^network/add/(?P<parent_oid>[^/]+)/$', 'network.add'),
    (r'^network/add/post/(?P<parent_oid>[^/]+)/$', 'network.add_post'),
    (r'^network/delete/(?P<oid>[^/]+)/$', 'network.delete'),
    (r'^network/delete/post/(?P<oid>[^/]+)/$', 'network.delete_post'),
    (r'^network/display/(?P<oid>[^/]+)/$', 'network.display'),

    (r'^network/range/add/(?P<parent_oid>[^/]+)/$', 'network.range.add'),
    (r'^network/range/add/post/(?P<parent_oid>[^/]+)/$', 'network.range.add_post'),
    (r'^network/range/delete/(?P<oid>[^/]+)/$', 'network.range.delete'),
    (r'^network/range/delete/post/(?P<oid>[^/]+)/$', 'network.range.delete_post'),
    (r'^network/range/display/(?P<oid>[^/]+)/$', 'network.range.display'),

    (r'^device/(?P<view_oid>[^/]+)/$', 'device.index'),
    (r'^device/add/template/select/(?P<parent_oid>[^/]+)/$', 'device.add_template_select'),
    (r'^device/add/template/set/(?P<parent_oid>[^/]+)/$', 'device.add_template_set'),
    (r'^device/add/template/post/(?P<parent_oid>[^/]+)/(?P<template_oid>[^/]+)/$', 'device.add_template_post'),
    (r'^device/delete/(?P<oid>[^/]+)/$', 'device.delete'),
    (r'^device/delete/post/(?P<oid>[^/]+)/$', 'device.delete_post'),
    (r'^device/disable/(?P<oid>[^/]+)/$', 'device.disable'),
    (r'^device/disable/post/(?P<oid>[^/]+)/$', 'device.disable_post'),
    (r'^device/enable/(?P<oid>[^/]+)/$', 'device.enable'),
    (r'^device/enable/post/(?P<oid>[^/]+)/$', 'device.enable_post'),
    (r'^device/display/(?P<oid>[^/]+)/$', 'device.display'),
    (r'^device/recreate/template/select/(?P<oid>[^/]+)/$', 'device.recreate_template_select'),
    (r'^device/recreate/template/set/(?P<oid>[^/]+)/$', 'device.recreate_template_set'),
    (r'^device/recreate/template/post/(?P<oid>[^/]+)/(?P<template_oid>[^/]+)/$', 'device.recreate_template_post'),

    (r'^device/password/add/(?P<parent_oid>[^/]+)/$', 'device.password.add'),
    (r'^device/password/add/post/(?P<parent_oid>[^/]+)/$', 'device.password.add_post'),
    (r'^device/password/delete/(?P<oid>[^/]+)/$', 'device.password.delete'),
    (r'^device/password/delete/post/(?P<oid>[^/]+)/$', 'device.password.delete_post'),

    (r'^device/category/add/(?P<parent_oid>[^/]+)/$', 'device.category.add'),
    (r'^device/category/add/post/(?P<parent_oid>[^/]+)/$', 'device.category.add_post'),
    (r'^device/category/delete/(?P<oid>[^/]+)/$', 'device.category.delete'),
    (r'^device/category/delete/post/(?P<oid>[^/]+)/$', 'device.category.delete_post'),

    (r'^device/network/add/(?P<oid>[^/]+)/$', 'device.network.add'),
    (r'^device/network/add/post/(?P<oid>[^/]+)/$', 'device.network.add_post'),
    (r'^device/network/autoassign/(?P<oid>[^/]+)/$', 'device.network.autoassign'),
    (r'^device/network/autoassign/post/(?P<oid>[^/]+)/$', 'device.network.autoassign_post'),
    (r'^device/network/delete/(?P<device_oid>[^/]+)/(?P<network_oid>[^/]+)/$', 'device.network.delete'),
    (r'^device/network/delete/post/(?P<device_oid>[^/]+)/(?P<network_oid>[^/]+)/$', 'device.network.delete_post'),

    (r'^device/(?P<type>association|reference)/delete/(?P<oid1>[^/]+)/(?P<oid2>[^/]+)/$', 'device.device_association.delete'),
    (r'^device/(?P<type>association|reference)/delete/post/(?P<oid1>[^/]+)/(?P<oid2>[^/]+)/$', 'device.device_association.delete_post'),
    (r'^device/association/add/(?P<oid>[^/]+)/$', 'device.device_association.add_with_target'),

    (r'^passwordkey/(?P<parent_oid>[^/]+)/$', 'passwordkey.index'),
    (r'^passwordkey/add/(?P<parent_oid>[^/]+)/$', 'passwordkey.add'),
    (r'^passwordkey/add/post/(?P<parent_oid>[^/]+)/$', 'passwordkey.add_post'),
    (r'^passwordkey/delete/(?P<oid>[^/]+)/$', 'passwordkey.delete'),
    (r'^passwordkey/delete/post/(?P<oid>[^/]+)/$', 'passwordkey.delete_post'),
#    (r'^passwordkey/set/(?P<oid>[^/]+)/$', 'passwordkey.set'),
#    (r'^passwordkey/set/post/(?P<oid>[^/]+)/$', 'passwordkey.set_post'),
    (r'^passwordkey/display/(?P<oid>[^/]+)/$', 'passwordkey.display'),

    (r'^user/$', 'user.index'),
    (r'^user/manager/display/(?P<oid>[^/]+)/$', 'user.manager_display'),
    (r'^user/manager/add/(?P<um_type>[^/]+)/$', 'user.manager_add'),
    (r'^user/manager/add/post/(?P<um_type>[^/]+)/$', 'user.manager_add_post'),
    (r'^user/manager/update/(?P<oid>[^/]+)/$', 'user.manager_update'),
    (r'^user/manager/update/post/(?P<oid>[^/]+)/$', 'user.manager_update_post'),
    (r'^user/manager/updateusers/(?P<oid>[^/]+)/$', 'user.manager_updateusers'),
    (r'^user/manager/updateusers/post/(?P<oid>[^/]+)/$', 'user.manager_updateusers_post'),
    (r'^user/manager/activate/(?P<oid>[^/]+)/$', 'user.manager_activate'),
    (r'^user/manager/activate/post/(?P<oid>[^/]+)/$', 'user.manager_activate_post'),
    (r'^user/manager/delete/(?P<oid>[^/]+)/$', 'user.manager_delete'),
    (r'^user/manager/delete/post/(?P<oid>[^/]+)/$', 'user.manager_delete_post'),
    (r'^user/add/(?P<oid>[^/]+)/$', 'user.add'),
    (r'^user/add/post/(?P<oid>[^/]+)/$', 'user.add_post'),
    (r'^user/display/(?P<oid>[^/]+)/$', 'user.display'),
    (r'^user/delete/(?P<oid>[^/]+)/$', 'user.delete'),
    (r'^user/delete/post/(?P<oid>[^/]+)/$', 'user.delete_post'),
    (r'^user/update/(?P<oid>[^/]+)/$', 'user.update'),
    (r'^user/update/post/(?P<oid>[^/]+)/$', 'user.update_post'),
    (r'^user/connectkey/selectkey/(?P<oid>[^/]+)/$', 'user.connectkey_selectkey'),
    (r'^user/connectkey/post/(?P<oid>[^/]+)/$', 'user.connectkey_post'),
    (r'^user/subkey/delete/(?P<oid>[^/]+)/$', 'user.subkey_delete'),
    (r'^user/subkey/delete/post/(?P<oid>[^/]+)/$', 'user.subkey_delete_post'),
    (r'^user/session/kill/(?P<session_id>[^/]+)/$', 'user.session_kill'),
    (r'^user/session/kill/post/(?P<session_id>[^/]+)/$', 'user.session_kill_post'),

    (r'^config/add/select/(?P<parent_oid>[^/]+)/$', 'config.add_select'),
    (r'^config/add/set/(?P<parent_oid>[^/]+)/$', 'config.add_set'),
    (r'^config/add/post/(?P<parent_oid>[^/]+)/$', 'config.add_post'),
    (r'^config/delete/(?P<oid>[^/]+)/$', 'config.delete'),
    (r'^config/delete/post/(?P<oid>[^/]+)/$', 'config.delete_post'),

    (r'^tag/(?P<oid>[^/]+)/$', 'root.tag_oid'),
    (r'^untag/(?P<oid>[^/]+)/$', 'root.untag_oid'),
    (r'^relocate/tagged/(?P<oid>[^/]+)/$', 'root.relocate_tagged_oid'),
    (r'^toggle-verbose/(?P<oid>.*)/$', 'root.toggle_verbose'),
    (r'^search/$', 'root.search'),
    (r'^login/$', 'root.login'),
    (r'^logout/$', 'root.logout'),
    (r'^dinfo/$', 'root.dinfo'),
    (r'^style.css$', 'root.style'),
    (r'^prototype.js$', 'root.prototypejs'),
)

