import random

class PasswordGenerator(object):
	def __init__(self, length = 8, capitalize = True, numerals = True):
		self.length = length
		self.capitalize = capitalize
		self.numerals = numerals

	def random_vowel_or_consonant(self):
		return random.sample(["vowel", "consonant"], 1)[0]

	def generate(self):
		buffer = ""
		elements = ElementList()

		should_be = self.random_vowel_or_consonant()
		old_element = None
		first = True

		capitalize_done = False
		numerals_done = False

		while (len(buffer) < self.length):
			element = elements.random_element(should_be)
			
			if first and element.not_first:
				continue

			if (old_element != None and old_element.vowel and
				element.vowel and element.dipthong):
				continue

			if element.length() > self.length - len(buffer):
				continue

			buffer = "%s%s" % (buffer, element.chars)

			if self.capitalize and not capitalize_done:
				if first or element.consonant and random.randint(0, 9) < 3:
					# capitalize last letter
					buffer = buffer[:-1] + buffer[-1:].upper()
					capitalize_done = True
					continue

			if self.numerals and not numerals_done:
				if not first and random.randint(0, 9) < 3:
					buffer = "%s%s" % (buffer, random.randint(0, 9))
					first = True
					old_element = None
					should_be = self.random_vowel_or_consonant()
					numerals_done = True
					continue

			if len(buffer) >= self.length:
				break

			if element.consonant:
				should_be = "vowel"
			else:
				if old_element != None and (old_element.vowel or
					element.dipthong or random.randint(0, 9) < 3):
					should_be = "consonant"
				else:
					should_be = "vowel"

			old_element = element

			first = False

		return buffer

class Element(object):
	def __init__(self, chars, input_flags):
		self.chars = chars

		flags = {"vowel": False, "dipthong": False, "consonant": False, "not_first": False}
		flags.update(input_flags)

		self.vowel = flags["vowel"]
		self.dipthong = flags["dipthong"]
		self.consonant = flags["consonant"]
		self.not_first = flags["not_first"]
	
	def length(self):
		return len(self.chars)

class ElementList(object):
	def random_element(self, wants_flag):
		if (wants_flag == "vowel"):
			vowels = self.vowels()
			l = random.randint(0, len(vowels) - 1)
			return vowels[l]
		elif (wants_flag == "consonant"):
			consonants = self.consonants()
			l = random.randint(0, len(consonants) - 1)
			return consonants[l]
		else:
			raise Exception("wants invalid flag: %s" & (wants_flag))
			
		
	def length(self):
		return len(self.i)
	
	def vowels(self):
		return [e for e in self.elements if e.vowel]

	def consonants(self):
		return [e for e in self.elements if e.consonant]

	def dipthongs(self):
		return [e for e in self.elements if e.dipthong]

	def not_firsts(self):
		return [e for e in self.elements if e.not_first]

	def __init__(self):
		self.elements = [	Element("a",  {"vowel": True}),
							Element("ae", {"vowel": True, "dipthong": True}),
							Element("ah", {"vowel": True, "dipthong": True}),
							Element("ai", {"vowel": True, "dipthong": True}),
							Element("b",  {"consonant": True}),
							Element("c",  {"consonant": True}),
							Element("ch", {"consonant": True, "dipthong": True}),
							Element("d",  {"consonant": True}),
							Element("e",  {"vowel": True}),
							Element("ee", {"vowel": True, "dipthong": True}),
							Element("ei", {"vowel": True, "dipthong": True}),
							Element("f",  {"consonant": True}),
							Element("g",  {"consonant": True}),
							Element("gh", {"vowel": True, "dipthong": True, "not_first": True}),
							Element("h",  {"consonant": True}),
							Element("i",  {"vowel": True}),
							Element("ie", {"vowel": True, "dipthong": True}),
							Element("j",  {"consonant": True}),
							Element("k",  {"consonant": True}),
							Element("l",  {"consonant": True}),
							Element("m",  {"consonant": True}),
							Element("n",  {"consonant": True}),
							Element("ng", {"consonant": True, "dipthong": True, "not_first": True}),
							Element("o",  {"vowel": True}),
							Element("oh", {"vowel": True, "dipthong": True}),
							Element("oo", {"vowel": True, "dipthong": True}),
							Element("p",  {"consonant": True}),
							Element("ph", {"vowel": True, "dipthong": True}),
							Element("qu", {"vowel": True, "dipthong": True}),
							Element("r",  {"consonant": True}),
							Element("s",  {"consonant": True}),
							Element("sh", {"consonant": True, "dipthong": True}),
							Element("t",  {"consonant": True}),
							Element("th", {"consonant": True, "dipthong": True}),
							Element("u",  {"vowel": True}),
							Element("v",  {"consonant": True}),
							Element("w",  {"consonant": True}),
							Element("x",  {"consonant": True}),
							Element("y",  {"consonant": True}),
							Element("z",  {"consonant": True})]

